[Snort-users] X86_64 snort --enable-inline segfaults - Due to libnet ?

Morgan Cox morgancoxuk at ...11827...
Wed Oct 1 08:16:03 EDT 2008


Hi.

i'm having a semi-nightmare trying to install snort (2.8.3) with
--enable-inline support.

The issue seems to be that Libnet 1.0.2b is not compatible with 64 bit
systems.

I have managed to compile it on both ArchLinux64 and Gentoo64.

However it you start snort with the -Q - i.e

/usr/local/bin/snort -D -u snort -i eth0 -l /var/log/snort -c
/etc/snort/snort.conf -Q

It automatically segfaults - on both Gentoo64 and Archlinux 64

I can make it work fine with Ubuntu (32 bit.)

It is just not ever going to work until snort uses a later version of
libnet  ?

- It works fine on 64bit systems without the -Q option

Any advice is welcomed - im close to smashing the hell out of my
machine.............

Cheers
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20081001/6374dffb/attachment.html>


More information about the Snort-users mailing list